Subject: Re: Should we report bus width/speed via ethtool?

From: Rick Jones <[email-masked]>
Date: Wed, 05 Dec 2012 16:08:14 -0800

On 12/05/2012 04:01 PM, David Miller wrote:
> lspci might be a good place to figure this out :-)  It's probably
> grovelling around in PCI config space to determine these things.

And if not lspci, "pcitop" used to grub around for such things, though 
its source may be rather moldy.  I'm sure though that if various chipset 
providers were willing to document their PCI performance counters, 
*someone* would be happy to bring pcitop into the present day...

happy benchmarking,

rick jones